Last Comment Bug 636707 - [Mac] Firefox 4.0b13pre crash [@ mozilla::layers::ImageLayerOGL::RenderLayer ]
: [Mac] Firefox 4.0b13pre crash [@ mozilla::layers::ImageLayerOGL::RenderLayer ]
Status: VERIFIED FIXED
: crash, topcrash
Product: Core
Classification: Components
Component: Graphics (show other bugs)
: unspecified
: x86 Mac OS X
: -- normal (vote)
: mozilla7
Assigned To: Benoit Girard (:BenWa)
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-25 05:49 PST by d.a.
Modified: 2011-07-14 04:41 PDT (History)
10 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
fixed


Attachments
Check for null MacIOSurfaceImageOGL. v1 (1.11 KB, patch)
2011-07-04 06:54 PDT, Benoit Girard (:BenWa)
matt.woodrow: review+
asa: approval‑mozilla‑beta+
Details | Diff | Splinter Review

Description d.a. 2011-02-25 05:49:44 PST
User-Agent:       Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:2.0b13pre) Gecko/20110224 Firefox/4.0b13pre
Build Identifier: 

I got this crash after watching a 720p video on YouTube in fullscreen, and going to a new video.

STR:
1. Load up a few videos in the video queue, may need to have an 720p video among them.
2. Set the player to view the 720p version of the video.
3. Go to fullscreen and watch the video.
4. Exit full screen.
5. Go to the next video in the queue.

Firefox should now crash.

Crash reports:
https://crash-stats.mozilla.com/report/index/bp-0c83142a-5207-4ad0-ba8d-88da82110225
https://crash-stats.mozilla.com/report/index/bp-2792304a-4766-4d02-9120-a3fb72110224

Reproducible: Always
Comment 1 Marcia Knous [:marcia - use ni] 2011-02-25 10:46:35 PST
Haven't yet been able to reproduce your crash usingMozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:2.0b13pre) Gecko/20110225 Firefox/4.0b13pre. Are there any other steps you are doing between steps 4 and 5?
Comment 2 d.a. 2011-02-25 11:07:28 PST
No extra step between step 4 and 5, but on both occasions Firefox had been used for a while (more than 30 minutes). I think there must be something must happen before step 1 for the crash to happen.
Comment 3 Scoobidiver (away) 2011-03-01 03:56:38 PST
It is #15 top crasher on Mac OS X in 4.0b12.

Here are some comments:
"Was using Command+- to reduce the side of a page which contained a Flash video."
"crashed closing a tab with quicktime player streaming an mp3 in it"
"crash appeared during debugging session of adobe flex application."
"Reading reddit, just installed reddit enhancement suite, the greasemonkey script, which made firefox a bit laggy, and I was just scrolling down when it crashed."
"I was just randomly surfing the web, I clicked on Adium to answer an IM and firefox just straight up crashed."

More reports at:
https://crash-stats.mozilla.com/report/list?product=Firefox&range_value=4&range_unit=weeks&signature=mozilla%3A%3Alayers%3A%3AImageLayerOGL%3A%3ARenderLayer
Comment 4 Scoobidiver (away) 2011-03-15 01:45:40 PDT
It is #7 top crasher on Mac OS X in 4.0RC1.
Comment 5 Zibi Braniecki [:gandalf][:zibi] 2011-03-15 12:40:13 PDT
happened to me without full-screen
Comment 6 Marcia Knous [:marcia - use ni] 2011-03-16 16:35:41 PDT
Crashed in this stack while trying to reproduce Bug 637367.
Comment 7 Joe Drew (not getting mail) 2011-04-29 15:44:54 PDT
I just got this crash while trying to download an mp3 (I presume into the QuickTime plugin). bp-adda619d-d07d-4abe-8bed-e34042110429
Comment 8 Marcia Knous [:marcia - use ni] 2011-05-20 11:20:02 PDT
I crashed in this stack while I was not using the browser running 4.0.1. Mozilla/5.0 (Macintosh; Intel Mac OS X 10.7; rv:2.0.1) Gecko/20100101 Firefox/4.0.1
Comment 9 Marcia Knous [:marcia - use ni] 2011-05-20 11:33:34 PDT
http://tinyurl.com/3ccazon indicates 512 crashes in the last week across all versions. Many of the crash comments do specifically mention flash. One of the tabs I had open at the time of the crash was hulu.com.
Comment 10 Josh Aas 2011-07-02 09:10:30 PDT
Benoit - can you take a look at this?
Comment 11 Benoit Girard (:BenWa) 2011-07-04 06:24:47 PDT
I though it might be related to bug 641227 but this problem was reported before.

Still investigating.
Comment 12 Benoit Girard (:BenWa) 2011-07-04 06:54:21 PDT
Created attachment 543763 [details] [diff] [review]
Check for null MacIOSurfaceImageOGL. v1
Comment 13 Benoit Girard (:BenWa) 2011-07-04 06:55:44 PDT
Comment on attachment 543763 [details] [diff] [review]
Check for null MacIOSurfaceImageOGL. v1

Null Pointer check will fix a top crashers, we should land this on aurora/beta.
Comment 14 Marco Bonardo [::mak] 2011-07-04 11:44:31 PDT
http://hg.mozilla.org/mozilla-central/rev/c97d7a25a921
Comment 15 Benoit Girard (:BenWa) 2011-07-05 14:55:10 PDT
The patch is already on aurora because it landed before the merge, checkin needed for beta.
Comment 17 AndreiD[QA] 2011-07-14 04:41:53 PDT
Verified fixed on:
Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:6.0) Gecko/20100101 Firefox/6.0

There is no error / crash while playing highres videos from a youtube playlist, toggling fullscreen and normal window.

Note You need to log in before you can comment on or make changes to this bug.